Magick++ 6.9.6

Public Member Functions | List of all members
Magick::PathLinetoHorizontalRel Class Reference

`#include <Drawable.h>`

Inheritance diagram for Magick::PathLinetoHorizontalRel:
[legend]
Collaboration diagram for Magick::PathLinetoHorizontalRel:
[legend]

## Public Member Functions
| PathLinetoHorizontalRel (double x_)
| ~PathLinetoHorizontalRel (void)
void | operator() (MagickCore::DrawingWand *context_) const
VPathBase * | copy () const
void | x (double x_)
double | x (void) const
Public Member Functions inherited from Magick::VPathBase
| VPathBase (void)
virtual | ~VPathBase (void)

## Detailed Description

Definition at line 2902 of file Drawable.h.

## Constructor & Destructor Documentation

Magick::PathLinetoHorizontalRel::PathLinetoHorizontalRel | ( | double | x_ | ) |
| inline

Definition at line 2905 of file Drawable.h.

Magick::PathLinetoHorizontalRel::~PathLinetoHorizontalRel | ( | void |  | ) |

Definition at line 2202 of file Drawable.cpp.

## Member Function Documentation

Magick::VPathBase * Magick::PathLinetoHorizontalRel::copy | ( |  | ) | const
| virtual

Implements Magick::VPathBase.

Definition at line 2210 of file Drawable.cpp.

void Magick::PathLinetoHorizontalRel::operator() | ( | MagickCore::DrawingWand * | context_ | ) | const
| virtual

Implements Magick::VPathBase.

Definition at line 2206 of file Drawable.cpp.

void Magick::PathLinetoHorizontalRel::x | ( | double | x_ | ) |
| inline

Definition at line 2918 of file Drawable.h.

double Magick::PathLinetoHorizontalRel::x | ( | void |  | ) | const
| inline

Definition at line 2922 of file Drawable.h.

The documentation for this class was generated from the following files:

- Drawable.h
- Drawable.cpp